Distribution:   CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		gtkwave
Version:	3.3.14
Release:	1
Provides:	%{name}
License:	GNU/GPL 
URL:		http://home.nc.rr.com/gtkwave
Group:		Science/Engineering
Source0:	%{name}-%{version}.tar.gz
Patch0:		%{name}-destdir.patch
Patch1:		%{name}-gtk2config.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686
Summary:	wave viewer

BuildRequires: gobject-introspection-devel
BuildRequires: libffi-devel
BuildRequires: libXxf86vm-devel
BuildRequires: libXdamage-devel

BuildRequires: tcl-devel
BuildRequires: tk-devel

#Automatically resolved build dependencies
BuildRequires: atk-devel
BuildRequires: bzip2-devel
BuildRequires: cairo-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: gdk-pixbuf-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: gtk2+-devel
BuildRequires: libpng-devel
BuildRequires: pango-devel
BuildRequires: tcl-devel
BuildRequires: xz-devel
BuildRequires: zlib-devel

%description
GTKWave is a fully featured GTK+ based wave viewer for Unix which reads LXT,LXT2, VZT and GHW files as well as standard Verilog VCD/EVCD files and allows their viewing.


%post
ldconfig

%postun
ldconfig

%prep
%setup -qn %{name}-%{version}

%build
./configure 	--prefix=%_prefix \
		--mandir=%_mandir
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%{_bindir}/evcd2vcd
%{_bindir}/fst2vcd
%{_bindir}/ghwdump
%{_bindir}/gtkwave
%{_bindir}/lxt2miner
%{_bindir}/lxt2vcd
%{_bindir}/rtlbrowse
%{_bindir}/shmidcat
%{_bindir}/twinwave
%{_bindir}/vcd2fst
%{_bindir}/vcd2lxt
%{_bindir}/vcd2lxt2
%{_bindir}/vcd2vzt
%{_bindir}/vermin
%{_bindir}/vzt2vcd
%{_bindir}/vztminer
%{_datadir}/gtkwave
%{_mandir}/man1/evcd2vcd.1.gz
%{_mandir}/man1/fst2vcd.1.gz
%{_mandir}/man1/ghwdump.1.gz
%{_mandir}/man1/gtkwave.1.gz
%{_mandir}/man1/lxt2miner.1.gz
%{_mandir}/man1/lxt2vcd.1.gz
%{_mandir}/man1/rtlbrowse.1.gz
%{_mandir}/man1/shmidcat.1.gz
%{_mandir}/man1/twinwave.1.gz
%{_mandir}/man1/vcd2fst.1.gz
%{_mandir}/man1/vcd2lxt.1.gz
%{_mandir}/man1/vcd2lxt2.1.gz
%{_mandir}/man1/vcd2vzt.1.gz
%{_mandir}/man1/vermin.1.gz
%{_mandir}/man1/vzt2vcd.1.gz
%{_mandir}/man1/vztminer.1.gz
%{_mandir}/man5/gtkwaverc.5.gz

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Oct 27 2010 Karsten Brockmann <arcam@ccux-linux.de> 3.1.14-1
- Version update
* Sun Mar 23 2008 Karsten Brockmann <arcam@ccux-linux.de> 3.1.7-1
- Version update
* Sun Feb 10 2008 Karsten Brockmann <arcam@ccux-linux.de> 3.1.4-1
- Version update
* Tue Nov 07 2006 Karsten Brockmann <arcam@ccux-linux.de> 3.0.15-1
- Initial Release
